SIMILARITY(1)

NAME
similarity.pl - Command line interface to WordNet::Similarity

SYNOPSIS
similarity.pl [--type=TYPE [--config=CONFIGFILE] [--allsense] [--offsets] [--trace]
              [--wnpath=PATH] [--simpath=SIMPATH] {--interact | --file=FILENAME | WORD1 WORD2}
              | --help
              | --version]

DESCRIPTION
This program is a command line interface to the WordNet::Similarity package, which is an implementation of semantic relatedness measures between words. This project began in an effort to replicate the measures described in Budanitsky and Hirst (1995) "Semantic distance in WordNet: An Experimental, application-oriented evaluation of five measures", and has since grown to include additional measures. The measures described and implemented are as follows (those included in Budanitksy and Hirst's work are denoted with a *):

   (1) Leacock and Chodorow (1998) *
   (2) Jiang and Conrath (1997) *
   (3) Resnik (1995) *
   (4) Lin (1998) *
   (5) Hirst St-Onge (1998) *
   (6) Wu and Palmer (1994)
   (7) Extended Gloss Overlaps (Banerjee & Pedersen, 2003)
   (8) Edge Counting
   (9) Gloss Vector (Patwardhan, 2003)
   (10) Random

OPTIONS
--type=type
    the type of similarity measure. Valid values are

    WordNet::Similarity::path - simple edge counting
    WordNet::Similarity::hso - Hirst & St-Onge (1998)
    WordNet::Similarity::lch - Leacock & Chodorow (1998)
    WordNet::Similarity::lesk - Extended Gloss Overlaps (Pedersen & Banerjee 2003)
    WordNet::Similarity::lin - Lin (1998)
    WordNet::Similarity::jcn - Jiang & Conrath (1997)
    WordNet::Similarity::random - returns random numbers
    WordNet::Similarity::res - Resnik (1995)
    WordNet::Similarity::vector - Gloss Vector (Patwardhan 2003)
    WordNet::Similarity::wup - Wu & Palmer (1994)

--config=configfile
    the path to a module-specific configuration file

--allsenses
    Show the relatedness between every sense of the two input words

--offsets
    show all synsets as offsets and a part-of-speech letter

--trace
    switches on "Trace" mode. Output goes to stdout.

--interace
    starts the interactive mode (experimental)

--file=filename
    input words are read from filename. This file must contain a pair
    of words on each line. Comments are allowed: anything following //
    on a line is ignored.

--wnpath=path
    looks for WordNet in path. Usual values are
    /usr/local/WordNet/3.0/dict and C:\WordNet\3.0\dict.

--simpath=path
    look the relatedness module in path. This is useful if
    the module is locally installed.

--help
    show a detailed help message

--version
    show version information

BUGS
Report to WordNet::Similarity mailing list :
 <http://groups.yahoo.com/group/wn-similarity>

SEE ALSO
WordNet::Similarity

WordNet home page :
 <http://wordnet.princeton.edu>

WordNet::Similarity home page :
 <http://wn-similarity.sourceforge.net>

AUTHORS
 Ted Pedersen, University of Minnesota Duluth
 tpederse at d.umn.edu

 Siddharth Patwardhan, University of Utah, Salt Lake City
 sidd at cs.utah.edu

 Satanjeev Banerjee, Carnegie Mellon University, Pittsburgh
 banerjee+ at cs.cmu.edu

 Jason Michelizzi

COPYRIGHT
Copyright (c) 2005-2008, Ted Pedersen, Siddharth Patwardhan, Satanjeev Banerjee and Jason Michelizzi

This program is free software; you can redistribute it and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation; either version 2 of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.

You should have received a copy of the GNU General Public License along with this program; if not, write to the Free Software Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.